Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1.channels
Class InvokeResponseChannelListener

    java.lang.Object
      org.apache.ode.jacob.JacobObject
          org.apache.ode.jacob.ChannelListener<InvokeResponseChannel>
              org.apache.ode.bpel.rtrep.v1.channels.InvokeResponseChannelListener

All Implemented Interfaces:
  java.io.Serializable, InvokeResponse

    public abstract class InvokeResponseChannelListener

extends ChannelListener<InvokeResponseChannel>
implements InvokeResponse

An auto-generated channel listener abstract class for the `InvokeResponse` channel type.

See Also:
  `InvokeResponse`, `InvokeResponseChannel`, Serialized Form

Constructor Summary
`protected` | `InvokeResponseChannelListener(InvokeResponseChannel channel)`

Method Summary
`protected org.apache.commons.logging.Log` | `log()`

Methods inherited from class org.apache.ode.jacob.ChannelListener
`getChannel, getImplementedMethods, or, or, setChannel, toString`

Methods inherited from class org.apache.ode.jacob.JacobObject
`getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ode.bpel.rtrep.v1.channels.InvokeResponse
`onFailure, onFault, onResponse`

Constructor Detail

### InvokeResponseChannelListener

    protected InvokeResponseChannelListener(InvokeResponseChannel channel)

Method Detail

### log

    protected org.apache.commons.logging.Log log()

  Overrides:
    `log` in class `ChannelListener<InvokeResponseChannel>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD